document.addEventListener("DOMContentLoaded", function() {
    const mainSection = document.querySelector('.main');

    mainSection.addEventListener('wheel', function(event) {
        event.preventDefault(); // Prevent default scroll behavior

        // Calculate the new scroll position based on mouse wheel delta
        mainSection.scrollLeft += event.deltaY * 20; // Adjust the scrolling speed as needed
    });
});



document.addEventListener("DOMContentLoaded", function() {
    const hamburgerIcon = document.querySelector('.hamburger-icon');
    const hamburgerContent = document.querySelector('.hamburger-content');
    const circleBackground = document.createElement('div');
    circleBackground.classList.add('circle-background');
    document.body.appendChild(circleBackground);

    let isOpen = false; // Track the state of the hamburger content

    hamburgerIcon.addEventListener('click', function() {
        if (!isOpen) { // If the hamburger content is closed
            hamburgerContent.style.display = "flex";
            circleBackground.style.width = "100vw";
            circleBackground.style.height = "100vh";
            circleBackground.style.opacity = "1";
            isOpen = true; // Update the state
        } else { // If the hamburger content is open
            hamburgerContent.style.display = "none";
            circleBackground.style.width = "0";
            circleBackground.style.height = "0";
            isOpen = false; // Update the state
        }
    });
});


AOS.init();



$('add-class').slick({
  dots: false,
  arrows: false,
  infinite: true,
  speed: 300,
  slidesToShow: 4,
  slidesToScroll: 1,
  responsive: [
    {
      breakpoint: 1024,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 1,
        infinite: true,
        dots: true
      }
    },
    {
      breakpoint: 600,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 480,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
    // You can unslick at a given breakpoint now by adding:
    // settings: "unslick"
    // instead of a settings object
  ]
});











// Gallery
// 

$(document).ready(function(){

    $(".filter-button").click(function(){
        var value = $(this).attr('data-filter');
        
        if(value == "all")
        {
            //$('.filter').removeClass('hidden');
            $('.filter').show('1000');
        }
        else
        {
//            $('.filter[filter-item="'+value+'"]').removeClass('hidden');
//            $(".filter").not('.filter[filter-item="'+value+'"]').addClass('hidden');
            $(".filter").not('.'+value).hide('3000');
            $('.filter').filter('.'+value).show('3000');
            
        }
    });
    
    if ($(".filter-button").removeClass("active")) {
$(this).removeClass("active");
}
$(this).addClass("active");

});








// Menu Js
(function($) {
$.fn.menumaker = function(options) {  
 var cssmenu = $(this), settings = $.extend({
   format: "dropdown",
   sticky: false
 }, options);
 return this.each(function() {
   $(this).find(".button").on('click', function(){
     $(this).toggleClass('menu-opened');
     var mainmenu = $(this).next('ul');
     if (mainmenu.hasClass('open')) { 
       mainmenu.slideToggle().removeClass('open');
     }
     else {
       mainmenu.slideToggle().addClass('open');
       if (settings.format === "dropdown") {
         mainmenu.find('ul').show();
       }
     }
   });
   cssmenu.find('li ul').parent().addClass('has-sub');
multiTg = function() {
     cssmenu.find(".has-sub").prepend('<span class="submenu-button"></span>');
     cssmenu.find('.submenu-button').on('click', function() {
       $(this).toggleClass('submenu-opened');
       if ($(this).siblings('ul').hasClass('open')) {
         $(this).siblings('ul').removeClass('open').slideToggle();
       }
       else {
         $(this).siblings('ul').addClass('open').slideToggle();
       }
     });
   };
   if (settings.format === 'multitoggle') multiTg();
   else cssmenu.addClass('dropdown');
   if (settings.sticky === true) cssmenu.css('position', 'fixed');
resizeFix = function() {
  var mediasize = 1000;
     if ($( window ).width() > mediasize) {
       cssmenu.find('ul').show();
     }
     if ($(window).width() <= mediasize) {
       cssmenu.find('ul').hide().removeClass('open');
     }
   };
   resizeFix();
   return $(window).on('resize', resizeFix);
 });
  };
})(jQuery);

(function($){
$(document).ready(function(){
$("#cssmenu").menumaker({
   format: "multitoggle"
});
});
})(jQuery);





function highlightColumn(column) {
  const cols = document.getElementsByClassName('flags-card');
  for (let i = 0; i < cols.length; i++) {
    if (cols[i] !== column) {
      cols[i].classList.add('highlight');
    }
  }
}

function resetColumns() {
  const cols = document.getElementsByClassName('flags-card');
  for (let i = 0; i < cols.length; i++) {
    cols[i].classList.remove('highlight');
  }
}






